Subject: bug#39082: Inconsolata v3.000 has too wide spacing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jan 2020 18:18:50 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Andrea Greselin <[email-masked]>,  [email-masked]
> Date: Mon, 13 Jan 2020 10:27:32 +0100
> 
>     Eli> So the question now becomes how come we get such a large value.  Looks
>     Eli> like we somehow use the space-width value instead of the character
>     Eli> glyph's width, not sure why.  I guess stepping through the code I've
>     Eli> shown from xdisp.c is still necessary to understand this.
> 
> I can reproduce this, but I donʼt know how much effort we should spend
> getting to the bottom of it: a Cairo-enabled build (ie !XFT) does not
> have this problem.

So I guess this is some kind of Xft bug?  In that case, I think it
would be enough to describe the Cairo workaround in etc/PROBLEMS, and
close the bug with that.

Thanks.